Last modified: 2013-12-24 16:12:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 56186 - Document design and implementation of GWToolset
Document design and implementation of GWToolset
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
GWToolset (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: dan
:
Depends on:
Blocks: documentation 56179
  Show dependency treegraph
 
Reported: 2013-10-25 19:20 UTC by Bryan Davis
Modified: 2013-12-24 16:12 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bryan Davis 2013-10-25 19:20:35 UTC
GWToolset needs reasonable documentation covering the design and implementation of the extension. This documentation will be invaluable in streamlining the review and deployment process. It will also be useful for future maintainers of the codebase.
Comment 1 dan 2013-10-30 11:08:12 UTC
an initial draft can be found here -> http://gwtoolset.wmflabs.org/wiki/Extension:GWToolset/Technical_Implementation
Comment 2 Kunal Mehta (Legoktm) 2013-11-22 05:29:15 UTC
(In reply to comment #1)
> an initial draft can be found here ->
> http://gwtoolset.wmflabs.org/wiki/Extension:GWToolset/
> Technical_Implementation

Can this be moved to mediawiki.org please?
Comment 3 dan 2013-11-22 06:06:45 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > an initial draft can be found here ->
> > http://gwtoolset.wmflabs.org/wiki/Extension:GWToolset/
> > Technical_Implementation
> 
> Can this be moved to mediawiki.org please?

https://www.mediawiki.org/wiki/Extension:GWToolset/Technical_Implementation
Comment 5 Maarten Dammers 2013-12-15 15:15:23 UTC
I just read through the documents and it seems quite complete or at least much more than most extensions I know. Can this bug be closed or is there still information missing?
Comment 6 dan 2013-12-24 16:09:39 UTC
• documentation will continue as the project continues, however, 
  this initial task is complete.
Comment 7 dan 2013-12-24 16:11:33 UTC
• if there are any aspects of the extension that you feel need further 
  explanation, please open a new ticket for each topic.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links